/*
Theme Name: OceanWP Child
Theme URI: https://welldesignstudio.com/
Description: Well Design Studios take on the OceanWP theme.
Author: Well Design Studio
Author URI: https://welldesignstudio.com/
Template: oceanwp
Version: 1.6.1
*/

/* OceanWP Resets */

* {
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	font-smooth: antialiased;
}

body {
	/*overflow-x: hidden;*/
}
body ul, body ol {
	margin-top: 0;
}

h1, h2, h3, h4, h5, h6 {
	color: unset;
}

.elementor-widget-text-editor a, .elementor-widget-text-editor a:hover, .elementor-widget-container p a, .elementor-widget-container p a:hover {
	color: inherit;
}

body #site-header.transparent-header {
	border: none;
}

body #site-header #site-logo #site-logo-inner a img {
	width: 100%;
}
@-moz-document url-prefix() {
	body #site-header #site-logo #site-logo-inner a img[src$=".svg"] {
		height: 100%;
	}
}
body #site-header #site-logo #site-logo-inner a:hover img {
	opacity: 1;
}

body.boxed-layout.wrap-boxshadow #wrap {
  -webkit-box-shadow: 0 0 30px -10px rgba(0, 0, 0, 0.5);
  -moz-box-shadow: 0 0 30px -10px rgba(0, 0, 0, 0.5);
	box-shadow: 0 0 30px -10px rgba(0, 0, 0, 0.5);
}
.boxed-layout #wrap #site-header-inner.container {
  max-width: 1400px;
}

/* Font smoothing */
* {
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

/* Focus Outline */
body a:focus, body .focus a {
	outline: none !important;
	outline-width: 0px !important;
}

/* White Space No Wrap Class */
.no-wrap {
	white-space: nowrap;
}

/* Set's placeholder color globally */
::placeholder {
	color: #616161;
}

/* Video Banners Fade-In */
.elementor-background-video-container iframe {
	opacity: 1;
	animation-name: fadeInOpacity;
	animation-iteration-count: 1;
	animation-timing-function: ease-in;
	animation-duration: 2s;
	}
@Keyframes fadeInOpacity {
	0% { opacity: 0; }
	80% { opacity: 0; }
	100% { opacity: 1; }
}

/* Elementor Resets */
section.elementor-section.elementor-top-section {
	padding: 12px 0px;
}

body.has-transparent-header #main section.elementor-section.elementor-top-section:first-child {
	padding-top: 160px;
	padding-top: calc(100px + 60px);
}

body .elementor-element.elementor-widget-spacer, body .elementor-widget.elementor-widget-divider {
  margin-bottom: 0 !important;
}
body .elementor-widget-divider .elementor-divider {
	overflow: hidden;
}

body .elementor-element.elementor-widget-icon {
	line-height: 1em;
}

body .elementor-widget p:last-child {
	margin: 0;
}

body .elementor-widget-wrap > aside.elementor-section {
	width: auto;
}

body.elementor-widget-nav-menu li.menu-item > a.elementor-item > span.hidden {
	display: none;
}

.elementor a, .elementor a:hover {
	color: unset;
}

/* Testing this out - just a custom button class for our custom work */
body a.custom-btn,
body button.custom-btn,
body button.gpnf-add-entry {
	display: inline-block;
	padding: 8px 20px;
	background: var(--e-global-color-primary);
	border-radius: 100px;
	border: unset;
	line-height: 1.2em;
	color: #fff !important;
	text-decoration: unset;
}


/* Menu tweaks - Main Menu */
body.has-transparent-header #site-navigation-wrap ul.dropdown-menu > li.menu-item > a.menu-link {
	color: #fff;
}
body.has-transparent-header .mobile-menu .hamburger-inner,
body.has-transparent-header .mobile-menu .hamburger-inner::before,
body.has-transparent-header .mobile-menu .hamburger-inner::after {
	background-color: #ffffff;
}

body #site-navigation-wrap .dropdown-menu > li > a .nav-arrow {
	padding: 0 0 0 3px;
}

.effect-two #site-navigation-wrap .dropdown-menu>li.current-menu-item>a.menu-link>span:after,
.effect-two #site-navigation-wrap .dropdown-menu>li>a.menu-link>span:after {
	height: 1px;
}
.effect-three #site-navigation-wrap .dropdown-menu>li.current-menu-item>a.menu-link>span:after,
.effect-three #site-navigation-wrap .dropdown-menu>li>a.menu-link>span:after {
	height: 2px;
}

body.has-transparent-header .effect-two #site-navigation-wrap .dropdown-menu>li>a.menu-link>span:after,
body.has-transparent-header .effect-eight #site-navigation-wrap .dropdown-menu>li>a.menu-link>span:before,
body.has-transparent-header .effect-eight #site-navigation-wrap .dropdown-menu>li>a.menu-link>span:after {
	background-color: #fff;
}

#site-header.is-transparent .mobile-menu .hamburger-inner,
#site-header.is-transparent .mobile-menu .hamburger-inner::before,
#site-header.is-transparent .mobile-menu .hamburger-inner::after {
	background-color: #fff;
}

/* Menu tweaks - Sub Menu */
#site-navigation-wrap .dropdown-menu>li>a.menu-link {
	text-decoration: unset;
}

#site-navigation-wrap ul.dropdown-menu li.dropdown > ul.sub-menu {
	padding: 10px 0;
}
#site-navigation-wrap ul.dropdown-menu li.dropdown > ul.sub-menu > li.menu-item {
	border: none;
}
#site-navigation-wrap ul.dropdown-menu li.dropdown > ul.sub-menu > li.menu-item > a {
	font-size: 14px;
	line-height: 1.7em;
	padding: 8px 15px;
	transition: .25s;
	text-transform: uppercase;
}
#site-navigation-wrap ul.dropdown-menu li.dropdown > ul.sub-menu > li.menu-item > a:hover {
	background: transparent;
	transition: .25s;
}


/* Bootstrap Resets for OceanWP */
#content div#blog-entries .blog-entry.col-1 {
	max-width: inherit;
}
body #site-navigation-wrap ul.main-menu.dropdown-menu > li.menu-item > ul.megamenu.sub-menu {
	max-width: inherit;
	flex: initial;
}
.woocommerce-checkout .col-1, .woocommerce-checkout .col-2 {
	max-width: 100%;
}
body.single-product .elementor.elementor-location-single.product.col {
	padding: 0;
}
body .woocommerce-MyAccount-content .addresses > * {
	max-width: unset;
	flex: unset;
}


/* Gravity form tweaks */
@media only screen and (min-width: 641px) {
	body .gform_wrapper.gravity-theme .gform_fields {
		grid-row-gap: 25px;
	}
}

/* GF labels */
body .gform_wrapper .top_label .gfield_label, body .gform_wrapper legend.gfield_label {
	display: block;
	border: none;
	line-height: 1.2em;
	font-weight: normal;
}

/* GF Inputs */
body .gform_wrapper .gfield input:not([type="checkbox"]):not([type="radio"]),
body .gform_wrapper .gfield textarea,
body .gform_wrapper .gfield select {
	padding: 8px 12px;
	line-height: 1.2em;
	background: #fff;
	border-color: #dddddd;
}
body .gform_wrapper .gfield input:not([type="checkbox"]):not([type="radio"]),
body .gform_wrapper .gfield select {
	min-height: 45px;
}

/* Submit Button - Footer button (outside gf body) */
body .gform_wrapper .gform_footer input.button, .gform_wrapper .gform_footer input[type=submit], body .gform_wrapper .gform_page_footer input.button, body .gform_wrapper .gform_page_footer input[type=submit] {
	padding: 10px 20px;
	font-size: 16px;
	line-height: 1.2em;
	-webkit-border-radius: 0px;
	border-radius: 0px;
}

/* Submit Button - Inline submit (Inside gf body) */
body .gform_wrapper.gravity-theme div#field_submit.gfield {

}

/* GF - Misc tweaks */
body .gform_wrapper .gfield .gfield_required {
	line-height: 1em;
}
body .gform_wrapper .gfield_validation_message, body .gform_wrapper .validation_message {
	padding: 2px 5px !important;
	border-radius: 3px;
}

.gform_wrapper.gravity-theme .gfield_password_strength {
	padding: 4px 8px;
	border: none;
	border-radius: 3px;
}
.gform_wrapper.gravity-theme .gfield_password_strength.bad {
	background: #f44336;
	color: #fff;
}
.gform_wrapper.gravity-theme .gfield_password_strength.good {
	background: #fbc02d;
	color: #fff;
}
.gform_wrapper.gravity-theme .gfield_password_strength.strong {
	background: #4caf50;
	color: #fff;
}

::placeholder {
  color: #aaa;
}


/* Woo & Other Plugin Resets */
body.woocommerce div.product.elementor form.cart table.variations td.value:before {
	content: "" !important;
	margin: 0 !important;
}
body.woocommerce div.product.elementor form.cart table.variations .reset_variations {
	float: none;
	position: absolute;
	right: 0px;
	margin: 0;
	transform: translateX(100%);
	border: none;
	display: flex !important;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
body.woocommerce div.product form.cart .variations .reset_variations:before {
	margin: 0;
}
body.woocommerce.single-product .single_variation .woocommerce-variation-price .price {
	display: block !important;
	text-align: center;
	font-size: 20px;
}

body #user_switching_switch_on {
	position: fixed;
	bottom: 0;
	left: 0;
	font-size: 16px;
	line-height: 1.2em;
	background: #2f4858;
	color: #fff;
	border-radius: 100px;
	padding: 10px 20px;
	margin: 0 0 5px 5px;
	z-index: 100;
	box-shadow: 0px 0px 15px -4px rgb(0 0 0 / 25%);
}
body #user_switching_switch_on a {
	color: unset;
}

html.pum-open.pum-open-overlay.pum-open-scrollable body>[aria-hidden] {
	padding: 0 !important;
}


/* Breakpoint based tweaks */
body #site-header-inner.container, body.content-full-screen .elementor-section-wrap>.elementor-section.elementor-section-boxed>.elementor-container {
	max-width: 100%;
}

@media only screen and (max-width: 767px) {
	body.has-transparent-header #main section.elementor-section.elementor-top-section:first-child {
		padding-top: 130px;
		padding-top: calc(80px + 50px);
	}

  body .elementor-posts .elementor-post {
    display: block;
  }
  body .elementor-post__text {
    margin: 15px 0;
  }
}

/* Mobile Menu Tweaks - Not finalized */
#sidr .sidr-inner a.sidr-class-toggle-sidr-close {
	background: var(--e-global-color-primary);
	color: #fff;
	text-decoration: unset;
}

#sidr .sidr-inner li.sidr-class-menu-item>a.sidr-class-menu-link {
	text-decoration: unset;
}
#sidr .sidr-inner li.sidr-class-menu-item:hover>a.sidr-class-menu-link {
	background: var(--e-global-color-secondary);
	color: #fff;
}
#sidr .sidr-inner li.sidr-class-menu-item:hover>a.sidr-class-menu-link .sidr-class-dropdown-toggle {
	color: #fff;
}


/*---------------------*/
/*--- Header Tweaks ---*/

#site-header {
	z-index: 900;
}
/* Nav Menu Icon (Hamburger) */
#nav-menu-icon {
	cursor: pointer;
}
#nav-menu-icon span,
#nav-menu-icon::before,
#nav-menu-icon::after {
	display: block;
	width: 30px;
	height: 3px;
	margin: 4px auto;
	content: '';
	background-color: var(--e-global-color-text);
	border-radius: 4px;
	transition: all .2s ease-in-out;
}
#nav-menu-icon.open span {
	opacity: 0;
}
#nav-menu-icon.open::before {
	transform: translateY(7px) rotate(-45deg);
}
#nav-menu-icon.open::after {
	transform: translateY(-7px) rotate(45deg);
}
body nav div:not(.card) .nav-link a:not(.children):hover {
	opacity: 0.8;
}
body nav .nav-link.children a:hover {
	padding-left: 5px;
}

/* Mega Menu Toggle Classes */
body.elementor-editor-active:not(.elementor-page-216) #nav-menu-container {
	display: none !important;
}
body.elementor-editor-active #content-wrap {
	width: 100vw;
}
body:not(.elementor-editor-active) #nav-menu-container {
	visibility: hidden;
	position: absolute;
    width: 100vw;
    top: 81px;
    left: 0;
	opacity: 0;
	z-index: 900;
}

/* Overlay Styles */
#nav-overlay {
	visibility: hidden;
	content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100vw;
    background-color: rgba(255,255,255,0.8);
	opacity: 0;
    z-index: 800;
}

/* Nav Animations */
body:not(.elementor-editor-active) #nav-menu-container.close, body:not(.elementor-editor-active) #nav-overlay.close {
	visibility: hidden;
	animation: NAV-CONTAINER-CLOSE 0.3s ease-out forwards;
}
body:not(.elementor-editor-active) #nav-menu-container.open, body:not(.elementor-editor-active) #nav-overlay.open {
	visibility: visible;
	animation: NAV-CONTAINER-OPEN 0.3s ease-out forwards;
}

/* Nav Container OPEN Animation */
@keyframes NAV-CONTAINER-OPEN {
    0% {opacity: 0; visibility: visible;}
	100% {opacity: 1;}
}
/* Nav Container CLOSE Animation */
@keyframes NAV-CONTAINER-CLOSE {
    0% {opacity: 1;}
	99% {opacity: 0;}
	100% {visibility: hidden}
}

/*--- End Header Tweaks ---*/
/*-------------------------*/


/*---------------------------*/
/*--- Gravity Form Tweaks ---*/

/* Global Styles */
body .gform_wrapper.gravity-theme .gform_body .gfield input, body .gform_wrapper.gravity-theme .gform_body .gfield textarea, body .gform_wrapper.gravity-theme .gform_body .gfield select {
	border: 1px solid #2F2E3633;
	border-radius: 8px;
	resize: none;
}

body .gform_wrapper.gravity-theme .gform_footer {
	justify-content: center;
}
body .gform_wrapper .gform_footer input.button, .gform_wrapper .gform_footer input[type=submit], body .gform_wrapper .gform_page_footer input.button, body .gform_wrapper .gform_page_footer input[type=submit] {
	font-size: 18px;
    font-weight: 500;
	font-family: 'Readex Pro', sans-serif;
	text-transform: none;
    line-height: 1.33em;
    color: #FFFFFF;
    background-color: var(--e-global-color-secondary );
    border-radius: 999px 999px 999px 999px;
    padding: 8px 24px 8px 24px;
	transition: all 0.3s;
}
body .gform_wrapper .gform_footer input.button:hover, .gform_wrapper .gform_footer input[type=submit]:hover, body .gform_wrapper .gform_page_footer input.button:hover, body .gform_wrapper .gform_page_footer input[type=submit]:hover {
	background-color: #7bc975cc;
}

body .gform_wrapper .gform_footer input[type=reset], body .gform_wrapper .gform_footer input[type=reset]:hover, body .gform_wrapper .gform_page_footer input[type=reset]:hover {
	background-color: #fff;
	color: #000000;
	font-weight: 600;
	text-decoration: underline;
	text-decoration-color: rgba(47, 46, 54, 0.75);
	text-decoration-thickness: 2px;
	text-underline-offset: 3px;
}

/*--- End Gravity Form Tweaks ---*/
/*-------------------------------*/


/*----------------------------*/
/*--- Miscellaneous Tweaks ---*/

/* Card Styles */
body .card.elementor-column.elementor-element .elementor-widget-wrap.elementor-element-populated {
	transition: all 0.3s;
}
body .card.elementor-column.elementor-element .elementor-widget-wrap.elementor-element-populated:hover {
	box-shadow: 0px 1px 8px 3px rgb(0 0 0 / 10%);
}
@media (max-width: 767px) {
	body .card.nav.elementor-column.elementor-element .elementor-widget-wrap.elementor-element-populated {
		box-shadow: none !important;
	}
}

/*--- End Miscellaneous Tweaks ---*/
/*--------------------------------*/


/*--------------------------*/
/*--- Tab Content Tweaks ---*/

/* Tab SELECTOR Styles */
.tab-selector-parent-section .tab-selector {
	cursor: pointer !important;
	transition: all 0.3s;
}
.tab-selector-parent-section .tab-selector.active .elementor-widget-container {
	background-color: #25C0E133;
}

/* Tab Hover Styles */
.tab-selector-parent-section .tab-selector:hover:not(.active) {
	opacity: 0.8;
}

/* Tab CONTENT Styles */
.tab-content-parent-section .tab-content-inner-section {
	display: none;
	opacity: 0;
	transition: none;
}

/* Tab CONTENT Active Styles */
.tab-content-parent-section .tab-content-inner-section.active {
	display: block;
	opacity: 1;
}

/* Elementor Edit Active */
.elementor-editor-active .tab-content-parent-section .tab-content-inner-section {
	display: block !important;
	opacity: 1 !important;
}

/*--- End Tab Content Tweaks ---*/


/*---------------------------*/
/*--- Miscellanous Tweaks ---*/

/* Sign in Page Link Styles */
nav.gf_login_links {
	display: flex;
    flex-flow: column nowrap;
    gap: 10px;
}

/* My Notifications Delete Button */
.notification-list .child-card {
	
}

/* No Resources Message Styles */
#resource-list-wrapper p {
	padding-bottom: 20px;
	font-size: 16px;
	border-bottom: 1px solid rgba(0, 0, 0, 0.1);
	border-radius: 0;
}

/*--- End Miscellanous Tweaks ---*/